// this code is generated and should not be modified
package uk.gov.companieshouse;

import org.hyperledger.composer.system.*;
import org.accordproject.base.Event;
import org.accordproject.base.Transaction;
import org.accordproject.base.Participant;
import org.accordproject.base.Asset;
import org.accordproject.address.PostalAddress;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class CompanyDetails {
   private String companyName;
   private String companyNumber;
   private boolean hasInconsistencies;
   private PostalAddress regAddress;
   private String companyCategory;
   private String companyStatus;
   private String countryOfOrigin;
   private java.util.Date registrationDate;
   private java.util.Date dissolutionDate;
   private java.util.Date incorporationDate;
   private java.util.Date closureDate;
   private String[] previousNames;
   private Account[] accounts;
   private Return[] returns;
   private Mortgage[] mortgages;
   private String[] SICCodes;
   private java.util.Date lastFullMemDate;
   private java.util.Date lastBulkShareDate;
   private java.util.Date weededDate;
   private boolean hasAppointments;
   private boolean inLiquidation;
   private LimitedPartnership LimitedPartnership;
   public String getCompanyName() {
      return this.companyName;
   }
   public String getCompanyNumber() {
      return this.companyNumber;
   }
   public boolean getHasInconsistencies() {
      return this.hasInconsistencies;
   }
   public PostalAddress getRegAddress() {
      return this.regAddress;
   }
   public String getCompanyCategory() {
      return this.companyCategory;
   }
   public String getCompanyStatus() {
      return this.companyStatus;
   }
   public String getCountryOfOrigin() {
      return this.countryOfOrigin;
   }
   public java.util.Date getRegistrationDate() {
      return this.registrationDate;
   }
   public java.util.Date getDissolutionDate() {
      return this.dissolutionDate;
   }
   public java.util.Date getIncorporationDate() {
      return this.incorporationDate;
   }
   public java.util.Date getClosureDate() {
      return this.closureDate;
   }
   public String[] getPreviousNames() {
      return this.previousNames;
   }
   public Account[] getAccounts() {
      return this.accounts;
   }
   public Return[] getReturns() {
      return this.returns;
   }
   public Mortgage[] getMortgages() {
      return this.mortgages;
   }
   public String[] getSICCodes() {
      return this.SICCodes;
   }
   public java.util.Date getLastFullMemDate() {
      return this.lastFullMemDate;
   }
   public java.util.Date getLastBulkShareDate() {
      return this.lastBulkShareDate;
   }
   public java.util.Date getWeededDate() {
      return this.weededDate;
   }
   public boolean getHasAppointments() {
      return this.hasAppointments;
   }
   public boolean getInLiquidation() {
      return this.inLiquidation;
   }
   public LimitedPartnership getLimitedPartnership() {
      return this.LimitedPartnership;
   }
   public void setCompanyName(String companyName) {
      this.companyName = companyName;
   }
   public void setCompanyNumber(String companyNumber) {
      this.companyNumber = companyNumber;
   }
   public void setHasInconsistencies(boolean hasInconsistencies) {
      this.hasInconsistencies = hasInconsistencies;
   }
   public void setRegAddress(PostalAddress regAddress) {
      this.regAddress = regAddress;
   }
   public void setCompanyCategory(String companyCategory) {
      this.companyCategory = companyCategory;
   }
   public void setCompanyStatus(String companyStatus) {
      this.companyStatus = companyStatus;
   }
   public void setCountryOfOrigin(String countryOfOrigin) {
      this.countryOfOrigin = countryOfOrigin;
   }
   public void setRegistrationDate(java.util.Date registrationDate) {
      this.registrationDate = registrationDate;
   }
   public void setDissolutionDate(java.util.Date dissolutionDate) {
      this.dissolutionDate = dissolutionDate;
   }
   public void setIncorporationDate(java.util.Date incorporationDate) {
      this.incorporationDate = incorporationDate;
   }
   public void setClosureDate(java.util.Date closureDate) {
      this.closureDate = closureDate;
   }
   public void setPreviousNames(String[] previousNames) {
      this.previousNames = previousNames;
   }
   public void setAccounts(Account[] accounts) {
      this.accounts = accounts;
   }
   public void setReturns(Return[] returns) {
      this.returns = returns;
   }
   public void setMortgages(Mortgage[] mortgages) {
      this.mortgages = mortgages;
   }
   public void setSICCodes(String[] SICCodes) {
      this.SICCodes = SICCodes;
   }
   public void setLastFullMemDate(java.util.Date lastFullMemDate) {
      this.lastFullMemDate = lastFullMemDate;
   }
   public void setLastBulkShareDate(java.util.Date lastBulkShareDate) {
      this.lastBulkShareDate = lastBulkShareDate;
   }
   public void setWeededDate(java.util.Date weededDate) {
      this.weededDate = weededDate;
   }
   public void setHasAppointments(boolean hasAppointments) {
      this.hasAppointments = hasAppointments;
   }
   public void setInLiquidation(boolean inLiquidation) {
      this.inLiquidation = inLiquidation;
   }
   public void setLimitedPartnership(LimitedPartnership LimitedPartnership) {
      this.LimitedPartnership = LimitedPartnership;
   }
}
